+1-888-365-2779
Try Now
More in this section

Forums / Project Feather / Feather upgrade forces upgrade of Sitefinity

Feather upgrade forces upgrade of Sitefinity

12 posts, 1 answered
  1. Bil
    Bil avatar
    51 posts
    Registered:
    27 Aug 2012
    26 Oct 2015
    Link to this post

    We're currently running 8.1.5810.0 and wanted to upgrade Feather to the latest version. The problem is that when I update the Telerik.Sitefinity.Feather package it forces Sitefinity to move to 8.2.5900.0. This doesn't make sense based on the dependencies of Feather.

    * Feather has a dependency on Feather.Core (1.4.360.0) so that's fine

    * Feather.Core has a dependency on Telerik.Sitefinity.Mvc (1.4.360.0)

    * Telerik.Sitefinty.Mvc has a dependency on Sitefinity.Razor.Engine (3.0.8.0)

    * Siteifnity.Razor.Engine has no dependencies

    So why is an upgrade of Feather forcing an uinstall/reinstall of Sitefinity and trigging an update? While I'm all for getting on the latest version, I'm not ready to do that with our current database and need to go through all that in DEV/TEST/PROD first.

    Also the versioning for Telerik.Sitefinity.Mvc seems to be screwed up. This page (http://nuget.sitefinity.com/#/package/Telerik.Sitefinity.Mvc) lists the package. The default version (8.0.5730.0) is from Sept 8 but the latest one is 1.4.360.0 from October 26. Did something get screwed up or did the versioning change. Maybe this is why NuGet is confused?

    So am I stuck the old version of Feather right now? That pretty much sucks.

     

  2. Bil
    Bil avatar
    51 posts
    Registered:
    27 Aug 2012
    26 Oct 2015 in reply to Bil
    Link to this post

    Did some more digging and confirmed this. Feather uses Telerik.Sitefinity.Frontend.dll that has references to Telerik.Sitefinity.* version 8.2.5900.0 so basically upgrading Feather forces you to upgrade to this version of Sitefinity.

    I thought Feather would enable us to upgrade the widgets separately from the core CMS system but guess not.

  3. Mariush
    Mariush avatar
    43 posts
    Registered:
    08 Aug 2014
    27 Oct 2015 in reply to Bil
    Link to this post

    Hi Bil,

    In the majority of cases you can upgrade Feather without upgrading Sitefinity. Every now and then, however, we are making changes to Feather that also require us to make changes in the core of Sitefinity. We are usually packing such changes together and releasing them when a major version of Sitefinity is released. In such cases, we are also changing the second number in the version of Feather.

    In the specific case with Feather 1.4 - it requires some changes to the Form builder, which are coming with Sitefinity 8.2. Therefore, if you are still using Sitefinity 8.1, you can upgrade to the latest Feather 1.3.

    About Telerik.Sitefinity.Mvc - yes, the versioning changed. The reason for that is that we moved it to the Feather release cycle in order to reduce the number of cases when Feather upgrade will require Sitefinity upgrade.

    I hope you'll soon upgrade to 8.2 with minimum inconveniences.

    Mariush 

    Answered
  4. Bil
    Bil avatar
    51 posts
    Registered:
    27 Aug 2012
    27 Oct 2015 in reply to Mariush
    Link to this post

    Hi Mariush,

    That makes sense and thanks for the explanation. Kudos to you guys for actually using Semantic versioning correctly (most people don't). Now that I understand this helps planning better.

    Thanks

  5. Steve
    Steve avatar
    3037 posts
    Registered:
    03 Dec 2008
    27 Oct 2015 in reply to Bil
    Link to this post

    @Mariush

     I just encountered this Telerik.Sitefinity.Mvc thing too...nuget has a super old version.  See image, what exactly has to happen on an upgrade here?  Do we remove that nuget package?

  6. Mariush
    Mariush avatar
    43 posts
    Registered:
    08 Aug 2014
    27 Oct 2015 in reply to Steve
    Link to this post
    @Steve - you don't need to do anything special here. When you install or upgrade Feather, it will take the correct version of Telerik.Sitefinity.Mvc with it. Almost always, the versions of Feather and Sitefinity Mvc will match. Don't "upgrade" to v8.0.5730, because is not actually an upgrade. We will think how to prevent further confusion on this point.
  7. Steve
    Steve avatar
    3037 posts
    Registered:
    03 Dec 2008
    27 Oct 2015 in reply to Mariush
    Link to this post

    @Mariush

    Sorry I'm not understanding what you mean...should I REMOVE the Telerik.Sitefinity.Mvc nuget package if the file then gets pushed in with feather core or sitefinity core?

  8. Mariush
    Mariush avatar
    43 posts
    Registered:
    08 Aug 2014
    28 Oct 2015 in reply to Steve
    Link to this post

    @Steve, I meant the following:

    - keep the package as it is

    - do not upgrade it directly

    - when you upgrade Feather, Feather will force an upgrade of Telerik.Sitefinity.Mvc to a compatible version

     In other words, you are fine, no need to do anything here.

    Let me know if you have further questions.

  9. Steve
    Steve avatar
    3037 posts
    Registered:
    03 Dec 2008
    31 Oct 2015
    Link to this post
    Well maybe I'm doing something wrong then, because every build nuget returns Telerik.Sitefinity.MVC to v1.3 on me...
  10. Mariush
    Mariush avatar
    43 posts
    Registered:
    08 Aug 2014
    02 Nov 2015 in reply to Steve
    Link to this post
    I don't think you are doing anything wrong - if you have Sitefinity 8.1, you should have Feather 1.3.something and  Sitefintiy MVC 1.3. something
  11. Steve
    Steve avatar
    3037 posts
    Registered:
    03 Dec 2008
    02 Nov 2015 in reply to Mariush
    Link to this post

    Nope 8.2 ...feather 1.4

    Upgraded all nugets, but when I build that DLL reverts itself back...because the installed version IS 1.3.340.

    Only way I fix it is to dropbox revert version to rev and that's SUPER annoying.

    If this file is updated by feather or core, why do I need to have this nuget attached?

  12. Mariush
    Mariush avatar
    43 posts
    Registered:
    08 Aug 2014
    03 Nov 2015 in reply to Steve
    Link to this post

    The Sitefinity MVC dll is updated by a separate nuget - Telerik.Sitefinity.Mvc, which is required by Telerik.Sitefinity.Feather.Core, which is required by Telerik.Sitefinity.Feather. So when you upgrade Feather it should also upgrade Feather Core and Sitefinity MVC nuget packages.

    For some reason, this doesn't fully work in your case, so please upgrade Sitefinity MVC manually to the same version as Feather and try to build again. Hopefully, with next Feather upgrades it won't be needed.

12 posts, 1 answered